<?php

/**
 * Edition des catégories
 *
 * @package PLX
 * @author	Stephane F et Florent MONTHEL
 **/

include('prepend.php');

# On édite les catégories
if (!empty($_POST)) {
	$msg = $plxAdmin->editCategories(plxUtils::unSlash($_POST));
	header('Location: categories.php?msg='.urlencode($msg));
	exit;
}

# Tableau du tri
$aTri = array('desc'=>'d&eacute;croissant', 'asc'=>'croissant');

# On inclut le header	
include('top.php');
?>

<h2>Cr&eacute;ation et &eacute;dition de cat&eacute;gories</h2>
<form action="categories.php" method="post" id="change-cat-file">
	<fieldset>
		<table>
			<tr>
				<td><strong>Identifiant</strong>&nbsp;:</td>
				<td><strong>Nom de la cat&eacute;gorie</strong>&nbsp;:</td>
				<td><strong>Url</strong>&nbsp;:</td>
				<td><strong>Tri</strong>&nbsp;:</td>
				<td><strong>Art/Page</strong>&nbsp;:</td>				
				<td><strong>Ordre</strong>&nbsp;:</td>
			</tr>
		<?php
		# Initialisation de l'ordre
		$num = 0;
		# Si on a des catégories
		if($plxAdmin->aCats) {
			foreach($plxAdmin->aCats as $k=>$v) { # Pour chaque catégorie
				echo '<tr><td><p class="field"><label>Cat&eacute;gorie '.$k.'</label></p></td><td>';		
				plxUtils::printInput($k, htmlspecialchars($v['name'],ENT_QUOTES,PLX_CHARSET), 'text', '20-50');
				echo '</td><td>';
				plxUtils::printInput($k.'_url', $v['url'], 'text', '20-50');
				echo '</td><td>';	
				plxUtils::printSelect($k.'_tri', $aTri, $v['tri']);
				echo '</td><td>';
				plxUtils::printInput($k.'_bypage', $v['bypage'], 'text', '4-3');
				echo '</td><td>';
				plxUtils::printInput($k.'_ordre', ++$num, 'text', '3-3');
				echo '</td></tr>';
			}
			# On récupère le dernier identifiant
			$a = array_keys($plxAdmin->aCats);
			rsort($a);	
		} else {
			$a['0'] = 0;
		}
		?>
		<tr>
		<td>Nouvelle cat&eacute;gorie</td><td>
		<?php
		plxUtils::printInput(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT), '', 'text', '20-50');
		echo '</td><td></td><td>';
		plxUtils::printSelect(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT).'_tri', $aTri, $plxAdmin->aConf['tri']);
		echo '</td><td>';
		plxUtils::printInput(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT).'_bypage', $plxAdmin->aConf['bypage'], 'text', '4-3');
		echo '</td><td>';
		plxUtils::printInput(str_pad($a['0']+1, 3, "0", STR_PAD_LEFT).'_ordre', ++$num, 'text', '3-3');
		echo '</td></tr>';
		?>
		</table>
		<p><input type="submit" value="Modifier les cat&eacute;gories" /></p>
	</fieldset>
</form>

<div class="help">
	<h3>Ajouter une cat&eacute;gorie</h3>
	<p>Pour cr&eacute;er une nouvelle cat&eacute;gorie remplissez la ligne "Nouvelle cat&eacute;gorie" en renseignant :</p>
	<ul>
		<li>le nom de cette derni&egrave;re (code html interdit)</li>
		<li>le tri des articles (selon la date) dans cette cat&eacute;gorie</li>
		<li>le nombre d'articles par page pour cette cat&eacute;gorie</li>
	</ul>
	<p>Le num&eacute;ro d'ordre est pr&eacute;-rempli de fa&ccedil;on &agrave; ajouter la nouvelle cat&eacute;gorie &agrave; la fin.</p>
	<h3>Modifier une cat&eacute;gorie</h3>
	<p>Il suffit de modifier les diff&eacute;rents champs de la cat&eacute;gorie en question puis de cliquer sur le bouton "Modifier les cat&eacute;gories".</p>
	<h3>Supprimer une cat&eacute;gorie</h3>
	<p>Il suffit de vider le champ qui comporte le nom de la cat&eacute;gorie en question.</p>
	<h3>A propos de l'affichage</h3>
	<p>Une cat&eacute;gorie n'est affich&eacute;e sur votre site que si elle comporte au moins un article.</p>
	<h3>A propos des URLs</h3>
	<p>L'utilisation d'urls dites significatives (ex : categorie1/Photos) n&eacute;cessite d'avoir un champ renseignant l'URL de chaque cat&eacute;gorie. Ce champ est automatiquement rempli &agrave; la cr&eacute;ation mais ne l'est pas en cas de modification pour garder par d&eacute;faut une compatibilit&eacute; des adresses.</p>
</div>

<?php
# On inclut le footer
include('foot.php');
?>