<?php

/**
 * Gestion des images
 *
 * @package PLX
 * @author	Stephane F. et Florent MONTHEL
 **/
 
include('prepend.php');

# Variables pour le redimensionnement
$width = 200;
$height = 100;
$quality = 80;

# Rcupration des images du dossier
$dirImg = PLX_ROOT.$plxAdmin->aConf['images'];
$plxImg = & new plxGlob($dirImg);
$aImg = $plxImg->query('/(.+).(gif|jpg|jpeg|png|swf|swc|psd|tiff|bmp|iff|jp2|jpx|jb2|jpc|xbm|wbmp)$/i');
# Suppression d'une image
if(isset($_GET['del']) AND !empty($_GET['hash']) AND $_GET['hash'] == $_SESSION['hash'] AND isset($aImg[ $_GET['del'] ]) AND file_exists($dirImg.$aImg[ $_GET['del'] ])) {
	# On supprime l'image et sa miniature
	if(!@unlink($dirImg.$aImg[ $_GET['del'] ])) # Erreur de suppression
		$msg = 'Impossible de supprimer l\'image (probl&egrave;me d\'&eacute;criture dans le dossier '.$dirImg.')';
	else # Ok
		$msg = 'Image supprim&eacute;e &agrave; '.date('H:m:s');
	@unlink($dirImg.$aImg[ $_GET['del'] ].'.tb');
	header('Location: images.php?msg='.urlencode($msg));
	exit;
}
# Envoi d'une image
if(!empty($_FILES) AND !empty($_FILES['img']['name'])) {
	# On teste l'existence de l'image et on formate le nom du fichier
	$i = 0;
	$upFile = $dirImg.plxUtils::title2filename(plxUtils::unSlash(basename($_FILES['img']['name'])));
	while(file_exists($upFile)) {
		$upFile = $dirImg.$i.plxUtils::title2filename(plxUtils::unSlash(basename($_FILES['img']['name'])));
		$i++;
	}
	if(getimagesize($_FILES['img']['tmp_name'])) { # C'est une image
		if(!@move_uploaded_file($_FILES['img']['tmp_name'],$upFile)) { # Erreur de copie
			$msg = 'Impossible d\'envoyer l\'image (probl&egrave;me d\'&eacute;criture dans le dossier '.$dirImg.')';
		} else { # Ok
			@plxUtils::makeThumb($upFile, $upFile.'.tb',$width,$height,$quality);
			$msg = 'Image envoy&eacute;e &agrave; '.date('H:m:s');
		}
	} else { # Ce n'est pas une image
		$msg = 'Le fichier n\'est pas une image';
	}
	# On redirige
	header('Location: images.php?msg='.urlencode($msg));
	exit;
}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>Galerie d'images - Pluxml</title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo strtolower(PLX_CHARSET); ?>" />
<link rel="stylesheet" type="text/css" href="admin.css" media="screen" />
<script type="text/javascript" src="../lib/functions.js"></script>
</head>

<body class="popup">
	<h2>Uploader et g&eacute;rer les images</h2>
	<?php (!empty($_GET['msg']))?plxUtils::showMsg(plxUtils::unSlash(urldecode(trim($_GET['msg'])))):''; ?>
	<?php if(!empty($_GET['img']) AND file_exists($dirImg.plxUtils::unSlash(rawurldecode($_GET['img'])))) { # Image particulire ?>
		<p><a href="images.php" class="backupload">retour</a></p>
		<img src="<?php echo $dirImg.plxUtils::unSlash(rawurldecode($_GET['img'])); ?>" alt="" />
	<?php } else { # Galerie ?>
		<form enctype="multipart/form-data" action="images.php" method="post">
			<fieldset class="withlabel">
				<legend>Upload d'images</legend>
				<p><input name="img" type="file" />
				<input type="submit" value="envoyer" /></p>
			</fieldset>
		</form>
		<h2>Galeries d'images</h2>
		<?php
			if (!$aImg) { # Aucune image
				echo 'Aucune image';
			} else { # On affiche les images
				$nb = count($aImg);
				for($i=0; $i < $nb; $i++) {
					echo '<div class="bloc_gal"><p class="thumb">';
					$name = str_replace($dirImg, '',$aImg[$i]);
					if(file_exists($dirImg.$aImg[$i].'.tb')) # On a une miniature
						echo '<img src="'.$dirImg.$aImg[$i].'.tb'.'" alt="'.$name.'"/><br />';
					else # Pas de miniatures
						echo '<span>'.$name.'</span><br />';
					# On affiche les diffrents liens
					echo '</p>';
					echo '<p class="thumb_link">';
					echo '<a href="images.php?img='.rawurlencode($name).'"><img src="img/eye.png" alt="Voir" title="Voir l\'image" /></a>&nbsp;';
					echo '<a href="javascript:void(0)" title="Ajouter l\'image dans le chapo" onclick="opener.insimg(\'chapo\', \''.str_replace('../', '', $dirImg.$aImg[$i]).'\')">';
					echo '<img src="img/layout-chapo.png" alt="Ajouter chapo" /></a>&nbsp;';
					echo '<a href="javascript:void(0)" title="Ajouter la miniature dans le chapo" onclick="opener.insimg(\'chapo\', \''.str_replace('../', '', $dirImg.$aImg[$i].'.tb').'\')">';
					echo '<img src="img/layout-chapo-mini.png" alt="Ajouter mini chapo" /></a>&nbsp;';					
					echo '<a href="javascript:void(0)" title="Ajouter l\'image dans le contenu" onclick="opener.insimg(\'content\', \''.str_replace('../', '', $dirImg.$aImg[$i]).'\')">';
					echo '<img src="img/layout-content.png" alt="Ajouter contenu" /></a>&nbsp;';
					echo '<a href="javascript:void(0)" title="Ajouter la miniature dans le contenu" onclick="opener.insimg(\'content\', \''.str_replace('../', '', $dirImg.$aImg[$i].'.tb').'\')">';
					echo '<img src="img/layout-content-mini.png" alt="Ajouter mini contenu" /></a>&nbsp;';
					echo '<a href="?del='.$i.'&amp;hash='.$_SESSION['hash'].'" title="Supprimer l\'image" onclick="Check=confirm(\'Supprimer cette image ?\');if(Check==false) return false;"><img src="img/delete.png" alt="Supprimer" /></a></p>';
					echo '</div>'."\n";
				}
			}
		?>
	<?php } # Fin else galerie ?>
</body>
</html>
