<?php

/**
 * Edition des paramètres d'affichage
 *
 * @package PLX
 * @author	Florent MONTHEL
 **/

include('prepend.php');

# On édite la configuration
if (!empty($_POST)) {
	$msg = $plxAdmin->editConfiguration($plxAdmin->aConf,plxUtils::unSlash($_POST));
	header('Location: parametres_affichage.php?msg='.urlencode($msg));
	exit;
}

# On récupère les templates
$tpl = new plxGlob(PLX_ROOT.'themes', true);
$a_style = $tpl->query('/[a-z0-9-_]+/');
foreach($a_style as $k=>$v)
	$b_style[ $v ] = $v;

# Tableau du tri
$aTri = array('desc'=>'d&eacute;croissant', 'asc'=>'croissant');

# On inclut le header
include('top.php');
?>

<h2>Edition des param&egrave;tres de Pluxml</h2>

<div id="sous_navigation">
	<ul>
		<li><a href="parametres_base.php" id="link_config" title="Modifier la configuration de base de votre Pluxml">Configuration de base</a></li>
		<li><a href="parametres_affichage.php" id="link_config" title="Modifier les options d'affichage de votre Pluxml">Options d'affichages</a></li>
		<li><a href="parametres_avances.php" id="link_config" title="Modifier la configuration avanc&eacute;e de votre Pluxml">Configuration avanc&eacute;e</a></li>
		<li><a href="parametres_compte.php" id="link_config" title="Modifier le compte r&eacute;dacteur de votre Pluxml">Compte r&eacute;dacteur</a></li>
		<li><a href="parametres_version.php?hash=<?php echo $_SESSION['hash']; ?>" id="link_config" title="V&eacute;rifier la version officielle sur Pluxml.org">V&eacute;rifier la version officielle</a></li>
	</ul>
</div>

<form action="parametres_affichage.php" method="post" id="change-cf-file">
	<fieldset class="withlabel">
		<legend>Options d'affichage :</legend>
		<p class="field"><label>Choix du th&egrave;me&nbsp;:</label></p>
		<?php plxUtils::printSelect('style', $b_style, $plxAdmin->aConf['style']); ?>
		<p class="field"><label>Tri des articles&nbsp;:</label></p>
		<?php plxUtils::printSelect('tri', $aTri, $plxAdmin->aConf['tri']); ?>
		<p class="field"><label>Nombre d'articles affich&eacute;s par page&nbsp;:</label></p>
		<?php plxUtils::printInput('bypage', $plxAdmin->aConf['bypage'], 'text', '10-10'); ?>
		<p class="field"><label>Nombre d'articles affich&eacute;s par page dans l'administration&nbsp;:</label></p>
		<?php plxUtils::printInput('bypage_admin', $plxAdmin->aConf['bypage_admin'], 'text', '10-10'); ?>
		<p class="field"><label>Nombre de commentaires affich&eacute;s par page dans l'administration&nbsp;:</label></p>
		<?php plxUtils::printInput('bypage_admin_coms', $plxAdmin->aConf['bypage_admin_coms'], 'text', '10-10'); ?>
		<p class="field"><label>Nombre d'articles/commentaires affich&eacute;s sur le fils Rss/Atom&nbsp;:</label></p>
		<?php plxUtils::printInput('bypage_feed', $plxAdmin->aConf['bypage_feed'], 'text', '10-10'); ?>
	</fieldset>
	<p><input type="submit" value="Modifier les options d'affichage" /></p>
</form>

<h2>Informations relatives &agrave; Pluxml</h2>

<p>Ces informations vous renseignent sur le fonctionnement de votre Pluxml et peuvent s'av&eacute;rer utiles pour son d&eacute;pannage.</p>

<ul>
	<li><strong>Version : <?php echo $plxAdmin->version; ?></strong></li>
	<li><?php plxUtils::testWrite(PLX_CONF); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['categories']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['statiques']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['passwords']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_articles']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_commentaires']); ?></li>
	<li><?php plxUtils::testWrite(PLX_ROOT.$plxAdmin->aConf['racine_statiques']); ?></li>
	<li>Nombre de cat&eacute;gories : <?php echo count($plxAdmin->aCats); ?></li>
	<li>Nombre de pages statiques : <?php echo count($plxAdmin->aStats); ?></li>
	<li>Nom du r&eacute;dacteur en session : <?php echo $_SESSION['author']; ?></li>
</ul>

<ul>
	<li>Version de php : <?php echo phpversion(); ?></li>
	<li>Etat des "magic quotes" : <?php echo get_magic_quotes_gpc(); ?></li>
</ul>

<?php
# On inclut le footer
include('foot.php');
?>