<?php

/**
 * Edition des pages statiques
 *
 * @package PLX
 * @author	Stephane F et Florent MONTHEL
 **/

include('prepend.php');

# On édite les pages statiques
if (!empty($_POST)) {
	$msg = $plxAdmin->editStatiques(plxUtils::unSlash($_POST));
	header('Location: statiques.php?msg='.urlencode($msg));
	exit;
}

# On inclut le header	
include('top.php');
?>

<h2>Cr&eacute;ation et &eacute;dition des pages statiques</h2>
<form action="statiques.php" method="post" id="change-static-file">
	<fieldset>
		<table>
			<tr>
				<td><strong>Identifiant</strong>&nbsp;:</td>
				<td><strong>Titre</strong>&nbsp;:</td>
				<td><strong>Url</strong>&nbsp;:</td>
				<td><strong>Active</strong>&nbsp;:</td>
				<td><strong>Ordre</strong>&nbsp;:</td>
				<td>&nbsp;</td>
			</tr>
		<?php
		# Initialisation de l'ordre
		$num = 0;
		# Si on a des pages statiques
		if($plxAdmin->aStats) {
			foreach($plxAdmin->aStats as $k=>$v) { # Pour chaque page statique
				echo '<tr><td><p class="field"><label>Page '.$k.'</label></p></td><td>';
				plxUtils::printInput($k, htmlspecialchars($v['name'],ENT_QUOTES,PLX_CHARSET), 'text', '25-50');
				echo '</td><td>';
				plxUtils::printInput($k.'_url', $v['url'], 'text', '25-50');
				echo '</td><td>';
				plxUtils::printSelect($k.'_active', array('1'=>'Oui','0'=>'Non'), $v['active']);
				echo '</td><td>';	
				plxUtils::printInput($k.'_ordre', ++$num, 'text', '3-3');
				echo '</td><td>';	
				echo '<a href="statique.php?p='.$k.'" title="Editer le code source de cette page">&eacute;diter le code source</a>';
				echo '</td></tr>';
			}
			# On récupère le dernier identifiant
			$a = array_keys($plxAdmin->aStats);
			rsort($a);	
		} else {
			$a['0'] = 0;
		}
		?>
		<tr>
		<td>Nouvelle page</td><td>
		<?php
		plxUtils::printInput(str_pad($a['0']+1, 3, '0', STR_PAD_LEFT), '', 'text', '25-50');
		echo '</td><td></td><td>';
		plxUtils::printSelect(str_pad($a['0']+1, 3, '0', STR_PAD_LEFT).'_active', array('1'=>'Oui','0'=>'Non'), '1');
		echo '</td><td>';
		plxUtils::printInput(str_pad($a['0']+1, 3, '0', STR_PAD_LEFT).'_ordre', ++$num, 'text', '3-3');
		echo '</td></tr>';
		?>
		</table>
		<p><input type="submit" value="Modifier les pages statiques" /></p>
	</fieldset>
</form>

<div class="help">
	<h3>Ajouter une page statique</h3>
	<p>Pour cr&eacute;er une nouvelle page statique remplissez la ligne "Nouvelle page" en renseignant :</p>
	<ul>
		<li>le nom de cette derni&egrave;re (code html interdit)</li>
		<li>l'&eacute;tat actif ou non de la page</li>
	</ul>
	<p>Le num&eacute;ro d'ordre est pr&eacute;-rempli de fa&ccedil;on &agrave; ajouter la nouvelle page statique &agrave; la fin.</p>
	<p>Une fois la page cr&eacute;e, vous pouvez mettre en place le code source de la page en cliquant sur le lien "&eacute;diter le code source".</p>
	<h3>Modifier une page statique</h3>
	<p>Il suffit de modifier les différents champs de la page en question puis de cliquer sur le bouton "Modifier les pages statiques".</p>
	<p>Vous pouvez modifier le code source de la page en cliquant sur le lien "&eacute;diter le code source".</p>
	<h3>Supprimer une page statique</h3>
	<p>Il suffit de vider le champ qui comporte le nom de la page en question.</p>
	<h3>A propos des URLs</h3>
	<p>L'utilisation d'urls dites significatives (ex : statique1/Contact) n&eacute;cessite d'avoir un champ renseignant l'URL de chaque page. Ce champ est automatiquement rempli &agrave; la cr&eacute;ation mais ne l'est pas en cas de modification pour garder par d&eacute;faut une compatibilit&eacute; des adresses.</p>
</div>

<?php
# On inclut le footer
include('foot.php');
?>