<?php

/**
 * Classe plxEncrypt responsable du cryptage et dcryptage de donnes
 *
 * @package PLX
 * @author	Stephane F
 **/
 
define('ENCRYPTION_KEY', 'ab12cd34#$');

class plxEncrypt {

	/**
	 * Mthode qui crypte le texte $plainText
	 *
	 * @param	plainText	chane  crypter
	 * @return	string	chane crypte
	 * @author	Stephane F.
	 **/
	function base64url_encode($plainText) {

		$base64 = base64_encode($plainText);
		$base64url = strtr($base64, '+/=', '-_,');
		return $base64url;  
	}

	/**
	 * Mthode qui dcrypte le texte $plainText
	 *
	 * @param	plainText	chane  dcrypter
	 * @return	string	chane dcrypte
	 * @author	Stephane F.
	 **/
	function base64url_decode($plainText) {

		$base64url = strtr($plainText, '-_,', '+/=');
		$base64 = base64_decode($base64url);
		return $base64;  
	}

	function encryptId($int, $class='') {

		return plxEncrypt::base64url_encode($int.'*'.substr(sha1($class.$int.ENCRYPTION_KEY), 0, 6));
	}

	function decryptId($int, $class='') {

		$parts = explode('*', plxEncrypt::base64url_decode($int));
		if (count($parts) != 2) 
			return 0;
		return substr(sha1($class.$parts[0].ENCRYPTION_KEY), 0, 6) === $parts[1] ? $parts[0] : 0;
	}

}
?>